Opened 7 years ago

Closed 7 years ago

#42813 closed defect (fixed)

py-ipython @1.2.1: py34-ipython with +parallel, missing depencency

Reported by: petrrr Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc: akitada@…
Port: py-ipython

Description

The port fails to install if the +parallel variant is requested, because the subport py34-zmq is not enables for port py-zmq. See also ticket #42465.

petr% sudo port -v install py34-ipython +parallel
--->  Computing dependencies for py34-ipython.
Error: Dependency 'py34-zmq' not found.
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port py34-ipython failed

Probably this is easiest solved by implementing #42465. Should this not be possible, the variants need to be conditionally disabled.

Change History (3)

comment:1 Changed 7 years ago by petrrr

Update: py34-zmq is now available so the describe issue is solved.

However, there are still missing dependencies for some variants.

  • py34-tornado needed by +notebook variant;
  • py34-pyqt4 needed by +pyqt4 variant;

So maybe leave this ticket open to trace these as well.

comment:2 Changed 7 years ago by petrrr

All dependencies now provide the py34 subport as well:

  • py34-zmq implemented in r117807;
  • py34-tornado implemented in r117928;
  • py34-pyqt4 implemented in r117831;

So this ticket can be closed!

comment:3 Changed 7 years ago by mf2k (Frank Schima)

Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.